--- title: "getDemandCostList" slug: "platform-costandusage-getdemandcostlist" updated: 2026-09-17T09:35:51Z published: 2026-09-17T09:35:51Z canonical: "api.ncloud-docs.com/platform-costandusage-getdemandcostlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getDemandCostList Available in Classic and VPC View the list of monthly billing costs based on the set period. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET, POST | /cost/getDemandCostList | ### Request headers For headers common to all Cost and usage APIs, see [Cost and usage common headers](/docs/en/platform-costandusage#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters The following describes the parameters. | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | Optional | Page number | | `pageSize` | Integer | Optional | Page size - 1000 or less (default: 1000) | | `isOrganization` | Boolean | Optional | Whether to view consolidated usage for organization service accountsAvailable to masters onlyAn error is returned if both `isOrganization` and `isPartner` are `true` | | `isPartner` | Boolean | Optional | Whether to view partner accounts - Available to partner representatives only - An error is returned if both `isOrganization` and `isPartner` are `true` | | `memberNoList` | List | Optional | Member ID list - Only available to master or partner representatives | | `startMonth` | String | Required | Query start month (yyyyMM) - Up to 3 months viewable - 202401 | | `endMonth` | String | Required | Query end month (yyyyMM) - Up to 3 months viewable - 202406 | | `responseFormatType` | String | Optional | Response result format - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://billingapi.apigw.ntruss.com/billing/v1/cost/getDemandCostList?startMonth=202401&endMonth=202401&responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [DemandCostList](/docs/en/common-vapidatatype-demandcostlist#%ED%95%84%EB%93%9C) for the response body. ### Response status codes For response status codes common to NAVER Cloud Platform, see [Ncloud API response status codes](/docs/en/common-ncpapi#3%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "getDemandCostListResponse": { "totalRows": 1, "demandCostList": [ { "memberNo": "2760000", "demandMonth": "202401", "demandNo": "9540000", "integrationDemandNo": "", "demandAttribute": { "code": "GEN", "codeName": "General" }, "useAmount": 36290, "promiseDiscountAmount": 0, "promotionDiscountAmount": 0, "etcDiscountAmount": 0, "customerDiscountAmount": 0, "productDiscountAmount": 0, "creditDiscountAmount": 0, "rounddownDiscountAmount": 90, "currencyDiscountAmount": 0, "coinUseAmount": 0, "defaultAmount": 0, "thisMonthDemandAmount": 36200, "thisMonthVatRatio": 0.1, "thisMonthVatAmount": 3620, "thisMonthAmountIncludingVat": 39820, "totalDemandAmount": 39820, "isPaidUp": true, "paidUpDate": "2024-02-01T07:08:30+0900", "overduePlusAmount": 0, "overdueRatio": 0.0, "thisMonthOverdueAmount": 39820, "beforeMonthDemandNo": "9180000", "totalOverdueAmount": 39820, "writeDate": "2024-02-01T06:44:51+0900", "memberPriceDiscountAmount": 0, "memberPromiseDiscountAddAmount": 0, "payCurrency": { "code": "KRW", "codeName": "South Korea Won" }, "thisMonthAppliedExchangeRate": 1 } ], "requestId": "0000001d-b737-47ef-9875-0d28ce000000", "returnCode": "0", "returnMessage": "success" } } ```